<?php

/**
 * @package Vesthelm Engine
 * @version 1.0.0
 * @copyright Copyright(c) 2010-2011, Anton Kurbanov
 * @license Open Source. For more details, please visit: http://www.vesthelm.com/license.html
 * @info Package generated specially for http://test.ir!
 */
defined('V_IN_ACP') or die('Powered by <a href="http://www.vesthelm.com/">Vesthelm EE</a>');

if (isset($_GET['action'])) {
    $Vesthelm->includeClass('Json', true);
    $Json = new Services_JSON();

    if ('getStatistics' == $_GET['action']) {
        $i = 0;

        //applications
        $applications = $Vesthelm->all('applications', '`status`');

        if ($applications) {
            $active_applications = array();
            $inactive_applications = array();

            foreach ($applications as $application) {
                if ('active' == $application['status']) {
                    $active_applications[] = '';
                } else {
                    $inactive_applications[] = '';
                }
            }

            $statistics[$i]['title'] = vlang('active_applications');
            $statistics[$i]['total'] = count($active_applications);
            $i++;

            $statistics[$i]['title'] = vlang('inactive_applications');
            $statistics[$i]['total'] = count($inactive_applications);
            $i++;
        }

        //addons
        $addons = $Vesthelm->all('addons', '`status`');

        if ($addons) {
            $active_addons = array();
            $inactive_addons = array();

            foreach ($addons as $addon) {
                if ('active' == $addon['status']) {
                    $active_addons[] = '';
                } else {
                    $inactive_addons[] = '';
                }
            }

            $statistics[$i]['title'] = vlang('active_addons');
            $statistics[$i]['total'] = count($active_addons);
            $i++;

            $statistics[$i]['title'] = vlang('inactive_addons');
            $statistics[$i]['total'] = count($inactive_addons);
            $i++;
        }

        $Vesthelm->callHook('statistics');

        echo '({"data":' . $Json->encode($statistics) . '})';

        exit;
    }
}

require_once(V_ACP . 'smarty.php');

$Smarty->display('acp.tpl');
?>