<?php

/**
 * @package Vesthelm Engine
 * @version 1.0.0
 * @copyright Copyright(c) 2010-2011, Anton Kurbanov
 * @license Open Source. For more details, please visit: http://www.vesthelm.com/license.html
 * @info Package generated specially for http://test.ir!
 */
defined('V_MAIN') or die('Powered by <a href="http://www.vesthelm.com/">Vesthelm EE</a>');

class Captcha {

    /**
     * Captcha
     *
     * @var object
     */
    var $captcha = null;

    /**
     * Captcha constructor
     *
     * @global array $Config Configuration
     */
    function Captcha() {
        global $Config;

        require_once(V_ADDONS . $Config->get('captcha') . V_DS . 'acp' . V_DS . 'classes' . V_DS . 'ICaptcha.php');

        $this->captcha = new ICaptcha();
    }

    /**
     * Prints captcha
     *
     * @return mixed
     */
    function printCaptcha() {
        return $this->captcha->printCaptcha();
    }

    /**
     * Checks captcha value
     *
     * @return bool
     */
    function checkCaptcha() {
        return $this->captcha->checkCaptcha();
    }

}

?>