<?php

/**
 * @package Vesthelm Engine
 * @version 1.0.0
 * @copyright Copyright(c) 2010-2011, Anton Kurbanov
 * @license Open Source. For more details, please visit: http://www.vesthelm.com/license.html
 * @info Package generated specially for http://test.ir!
 */
defined('V_IN_ACP') or die('Powered by <a href="http://www.vesthelm.com/">Vesthelm EE</a>');

//TODO dynamic fields
$Vesthelm->includeClass('Json', true);
$Json = new Services_JSON();

$form = $Vesthelm->escape(Sanitization::replace($_GET['form']));
$addon = $Vesthelm->escape(Sanitization::replace($_GET['addon']));

$and = (!empty($addon)) ? "AND `addon` = '{$addon}'" : '';

$fields = $Vesthelm->all('fields', '*', "`form` = '{$form}' " . $and . " ORDER BY `order`");

$form_fields = array();

$Vesthelm->callHook('beforeMainFields');

if ($fields) {
    foreach ($fields as $key => $field) {
        if ('textfield' == $field['type']) {
            $form_fields[$key]['fieldLabel'] = $vlang[str_replace('dummy_', '', $field['name'])];
            $form_fields[$key]['name'] = $field['name'];
            $form_fields[$key]['xtype'] = $field['type'];
            $form_fields[$key]['itemId'] = $field['name'];
            $form_fields[$key]['allowBlank'] = ((bool) $field['required']) ? false : true;
            $form_fields[$key]['value'] = $field['value'];

            if (!empty($field['display_as']))
                $form_fields[$key]['inputType'] = $field['display_as'];

            if (strpos($field['width'], '%') !== false)
                $form_fields[$key]['anchor'] = $field['width'];
            else
                $form_fields[$key]['width'] = $field['width'];
        }
    }
}

$Vesthelm->callHook('afterMainFields');

echo '(' . $Json->encode($form_fields) . ')';
exit;
?>
