<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>{$vlanguage.acp}&nbsp;{$vconfig.title_suffix}</title>

    {* ext gray theme css *}
    <link rel="stylesheet" type="text/css" href="../libs/ext/resources/css/ext-all-notheme.css" />
    <link rel="stylesheet" type="text/css" href="../libs/ext/resources/css/xtheme-gray.css" />

    {* vesthelm css *}
    <link rel="stylesheet" type="text/css" href="tpl/{$vacp_tpl}/css/vesthelm.css" />
    <link rel="stylesheet" type="text/css" href="tpl/{$vacp_tpl}/css/messages.css" />
    <link rel="stylesheet" type="text/css" href="tpl/{$vacp_tpl}/css/icons.css" />

    {* addons css *}
    {if isset($vaddons_with_css) && !empty($vaddons_with_css)}
        {if $vconfig.combine_addons_css}
            <link rel="stylesheet" type="text/css" href="../compile_dir/cache/vaddons_acp_css.css" />
        {else}
            {foreach from=$vaddons_with_css item=addon}
                <link rel="stylesheet" type="text/css" href="../addons/{$addon}/acp/tpl/css/{$addon}.css" />
            {/foreach}
        {/if}
    {/if}

    {* applications css *}
    {if isset($vapplications_with_css) && !empty($vapplications_with_css)}
        {foreach from=$vapplications_with_css item=application}
            <link rel="stylesheet" type="text/css" href="../applications/{$application}/acp/tpl/css/{$application}.css" />
        {/foreach}
    {/if}

    <link rel="shortcut icon" href="{$vconfig.frontend_url}favicon.ico" />

    <script type="text/javascript" src="../libs/ext/adapter/ext/ext-base.js"></script>
    <script type="text/javascript" src="../libs/ext/ext-all.js"></script>

    {callHook name="afterExtIncludes"}

    <link rel="stylesheet" type="text/css" href="../acp/js/ext/Portal/Portal.css" />

    <script type="text/javascript" src="../acp/js/ext/Portal/Portal.js"></script>
    <script type="text/javascript" src="../acp/js/ext/Portal/PortalColumn.js"></script>
    <script type="text/javascript" src="../acp/js/ext/Portal/Portlet.js"></script>

    {* Stateful tree *}
    <script type="text/javascript" src="../acp/js/ext/Ext.ux.tree.js"></script>

    {* Grid panel resizer *}
    <link rel="stylesheet" type="text/css" href="../acp/js/ext/PanelResizer/PanelResizer.css" />
    <script type="text/javascript" src="../acp/js/ext/PanelResizer/PanelResizer.js"></script>

    {* Spinner *}
    <link rel="stylesheet" type="text/css" href="../acp/js/ext/Spinner/Spinner.css" />

    <script type="text/javascript" src="../acp/js/ext/Spinner/Spinner.js"></script>
    <script type="text/javascript" src="../acp/js/ext/Spinner/SpinnerField.js"></script>

    <script type="text/javascript" src="../compile_dir/cache/vlanguage_acp_{$vconfig.acp_code}.js"></script>
    <script type="text/javascript" src="../compile_dir/cache/vconfig.js"></script>

    {* update js lang code *}
    <script type="text/javascript">
        {literal}
            vconfig.prev_acp_code = vconfig.acp_code;
            vconfig.acp_code = '{/literal}{$vconfig.acp_code}{literal}';
        {/literal}
    </script>

    <script type="text/javascript" src="../acp/js/vesthelm/vesthelm.js"></script>
    <script type="text/javascript" src="../acp/js/vesthelm/vesthelm.util.js"></script>

    <script type="text/javascript">
        {include file="$vacp/js/vesthelm/vesthelm.layout.js"}
    </script>
</head>
<body>

</body>
</html>