<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html dir="{$vconfig.text_dirs[$vconfig.frontend_code]}" xml:lang="{$vconfig.frontend_code}" xmlns="http://www.w3.org/1999/xhtml" lang="{$vconfig.frontend_code}">
    <head>
        {callHook name="afterOpenHead"}

        <title>{if isset($title)}{$title}{else}{$vconfig.site_title}{/if}&nbsp;{$vconfig.title_suffix}</title>

        <meta http-equiv="Content-Type" content="text/html; charset={$vconfig.charsets[$vconfig.frontend_code]}" />
        <meta name="generator" content="{$vconfig.site_title}" />
        <meta name="description" content="{if isset($meta_description) && !empty($meta_description)}{$meta_description|escape:"html"}{else}{$vconfig.meta_description|escape:"html"}{/if}" />
	<meta name="keywords" content="{if isset($meta_keywords) && !empty($meta_keywords)}{$meta_keywords|escape:"html"}{else}{$vconfig.meta_keywords|escape:"html"}{/if}" />

	<base href="{$vconfig.frontend_url}" />

        {* ext css*}
        <link rel="stylesheet" type="text/css" href="libs/ext/resources/css/ext-all.css" />
        {* vesthelm css *}
        <link rel="stylesheet" type="text/css" href="frontend/tpl/{$vconfig.frontend_tpl}/css/vesthelm.css" />

        {* addons css *}
        {if isset($vaddons_with_css) && !empty($vaddons_with_css)}
            {if $vconfig.combine_addons_css}
                <link rel="stylesheet" type="text/css" href="compile_dir/cache/vaddons_frontend_css.css" />
            {else}
                {foreach from=$vaddons_with_css item=addon}
                    <link rel="stylesheet" type="text/css" href="addons/{$addon}/frontend/tpl/css/{$addon}.css" />
                {/foreach}
            {/if}
        {/if}

        {* applications css *}
        {if isset($vapplications_with_css) && !empty($vapplications_with_css)}
            {foreach from=$vapplications_with_css item=application}
                <link rel="stylesheet" type="text/css" href="applications/{$application}/frontend/tpl/css/{$application}.css" />
            {/foreach}
        {/if}

        <link rel="shortcut icon" href="{$vconfig.frontend_url}favicon.ico" />

        <script type="text/javascript" src="libs/ext/adapter/ext/ext-base.js"></script>
        <script type="text/javascript" src="libs/ext/ext-all.js"></script>

        {callHook name="afterExtIncludes"}

        <script type="text/javascript" src="compile_dir/cache/vlanguage_frontend_{$vconfig.frontend_code}.js"></script>
        <script type="text/javascript" src="compile_dir/cache/vconfig.js"></script>

        {* update js lang code *}
        <script type="text/javascript">
            {literal}
                vconfig.prev_frontend_code = vconfig.frontend_code;
                vconfig.frontend_code = '{/literal}{$vconfig.frontend_code}{literal}';
            {/literal}
        </script>

        <script type="text/javascript">
            {include file="$vfrontend/js/vesthelm/vesthelm.js"}
	</script>

	<script type="text/javascript" src="frontend/js/vesthelm/vesthelm.util.js"></script>

        {callHook name="beforeCloseHead"}
    </head>

    <body>
        {callHook name="afterOpenBody"}

    <div id="page-background-glare">
        <div id="page-background-glare-image"></div>
    </div>

    <div id="vpage">
        {callHook name="afterOpenMain"}

        <div id="vbefore-sheet" class="before-sheet">
            {callHook name="beforeSheet"}
        </div>

        <div id="vsheet" class="sheet">
            <div class="sheet-tl"></div>
            <div class="sheet-tr"></div>
            <div class="sheet-bl"></div>
            <div class="sheet-br"></div>
            <div class="sheet-tc"></div>
            <div class="sheet-bc"></div>
            <div class="sheet-cl"></div>
            <div class="sheet-cr"></div>
            <div class="sheet-cc"></div>
            <div class="sheet-body">
              
               {callHook name="beforeHeader"}

               <div class="header">
                    
                    <div class="logo">
                        <a href="{$vconfig.frontend_url}" class="alogo"></a>
                    </div>
                    
                    {callHook name="beforeCloseHeader"}
                </div>

                {callHook name="afterHeader"}
                
                <div class="content-layout">
                    <div class="content-layout-row">

                        {if !isset($vhide_lsidebar) && !isset($vhide_sidebars)}
                            <div class="layout-cell sidebar1">
                                {callHook name="leftPosition"}
                            </div> <!-- left sidebar end -->
                        {/if}

                        <div class="layout-cell content">
                            {$vbreadcrumb}

                            {if !isset($vhide_tsidebar) && !isset($vhide_sidebars)}
                                {callHook name="topPosition"}
                            {/if}

                            <div class="post">
                                <div class="post-tl"></div>
                                <div class="post-tr"></div>
                                <div class="post-bl"></div>
                                <div class="post-br"></div>
                                <div class="post-tc"></div>
                                <div class="post-bc"></div>
                                <div class="post-cl"></div>
                                <div class="post-cr"></div>
                                <div class="post-cc"></div>
                                <div class="post-body">