{literal}

Ext.onReady(function(){

    var vUrl = 'index.php?file=step2';

    var mysqlForm = new Ext.FormPanel({
        url: vUrl,
        id: 'mysql-form',
        border: false,
        labelWidth: 125,
        columnWidth: .70,
        monitorValid: true,
        defaults: {
            msgTarget: 'side'
        },
        items: [{
            xtype: 'textfield',
            name: 'host_name',
            itemId: 'host_name',
            fieldLabel: 'Host Name',
            value: 'localhost',
            allowBlank: false,
            width: 150
        },{
            xtype: 'textfield',
            name: 'username',
            itemId: 'username',
            //value: 'root',
            fieldLabel: 'Username',
            allowBlank: false,
            width: 150
        },{
            xtype: 'textfield',
            fieldLabel: 'Password',
            name: 'password',
            itemId: 'password',
            inputType: 'password',
            width: 150
        },{
            xtype: 'textfield',
            name: 'database_name',
            itemId: 'database_name',
            fieldLabel: 'Database Name',
            allowBlank: false,
            width: 150
        },{
            xtype: 'textfield',
            name: 'table_prefix',
            itemId: 'table_prefix',
            value: 'vesthelm_',
            fieldLabel: 'Table Prefix',
            allowBlank: false,
            width: 150
        },{
            xtype: 'radiogroup',
            fieldLabel: 'Delete tables if exist',
            width: 100,
            items: [{
                boxLabel: 'Yes',
                name: 'delete_tables',
                inputValue: 1
            }, {
                boxLabel: 'No',
                name: 'delete_tables',
                inputValue: 0,
                checked: true
            }]
        }
        ]
    });

    new Ext.Panel({
        title: 'MySQL configuration',
        collapsible: true,
        titleCollapse: true,
        layout: 'column',
        tools: [{
            id: 'refresh',
            handler: function(){
                mysqlForm.getForm().submit({
                    method: 'POST',
                    params: {
                        action: 'checkMysqlConfiguration'
                    },
                    waitTitle: 'Connecting',
                    waitMsg: 'Sending data'
                });
            }
        }],
        hideCollapseTool: true,
        renderTo: 'mysql-cfgs',
        frame: true,
        items: [{
            columnWidth: .30,
            el: 'mysql-desc'
        },
        mysqlForm
        ]
    });
});

{/literal}