<?php

/**
 * @package Vesthelm Engine
 * @version 1.0.0
 * @copyright Copyright(c) 2010-2011, Anton Kurbanov
 * @license Open Source. For more details, please visit: http://www.vesthelm.com/license.html
 * @info Package generated specially for http://test.ir!
 */
defined('V_IN_ACP') or die('Powered by <a href="http://www.vesthelm.com/">Vesthelm EE</a>');

$result = array();

$Vesthelm->factory('Application', true);

if (isset($_GET['action'])) {
    $Vesthelm->includeClass('Json', true);
    $Json = new Services_JSON();

    if ('getAvailableApplications' == $_GET['action']) {
        $availableApplications = $Application->getAvailableApplications();

        echo '({"data":' . $Json->encode($availableApplications) . '})';

        exit;
    }

    if ('getInstalledApplications' == $_GET['action']) {
        $start = (int) (isset($_GET['start']) ? $_GET['start'] : 0);
        $limit = (int) (isset($_GET['limit']) ? $_GET['limit'] : 10);
        $sortBy = isset($_GET['sort']) ? $_GET['sort'] : 'name';
        $sortDir = isset($_GET['dir']) ? $_GET['dir'] : 'ASC';
        $search_in_fields = isset($_GET['search_in_fields']) ? $_GET['search_in_fields'] : array();
        $search_value = isset($_GET['search_value']) ? $_GET['search_value'] : '';
        $status = (isset($_GET['status']) && 'all' != $_GET['status']) ? $_GET['status'] : '';

        $installedApplications = $Application->getInstaledApplications($start, $limit, $sortBy, $sortDir, $search_in_fields, $search_value, $status);
        $total = $Application->foundRows();

        echo '({"total":"' . $total . '","data":' . $Json->encode($installedApplications) . '})';

        exit;
    }
}

if (isset($_POST['action'])) {

    $Vesthelm->includeClass('Json', true);
    $Json = new Services_JSON();

    if ('updateStatus' == $_POST['action']) {
        $updated = $Application->updateStatus($_POST['status'], $_POST['application']);

        if ($updated) {
            $result['success'] = true;

            echo '(' . $Json->encode($result) . ')';
        }

        exit;
    }

    if (in_array($_POST['action'], array('install', 'upgrade', 'uninstall'))) {
        $ApplicationAction = $Application->doAction($_POST['application'], $_POST['action']);

        if ($ApplicationAction) {
            $result['success'] = true;

            echo '(' . $Json->encode($result) . ')';
        }

        exit;
    }
}

require_once(V_ACP . 'smarty.php');

$Smarty->display('applications.tpl');
?>