<?php

/**
 * @package Vesthelm Engine
 * @version 1.0.0
 * @copyright Copyright(c) 2010-2011, Anton Kurbanov
 * @license Open Source. For more details, please visit: http://www.vesthelm.com/license.html
 * @info Package generated specially for http://test.ir!
 */
defined('V_MAIN') or die('Powered by <a href="http://www.vesthelm.com/">Vesthelm EE</a>');

require_once(V_SMARTY_DIR . 'Smarty.class.php');

class SmartyV extends Smarty {

    /**
     * Side
     *
     * @var string
     */
    var $side = 'acp';

    /**
     * Smarty constructor
     *
     * @param string $template Template
     * @param string $side Side
     */
    function SmartyV($template, $side = 'acp') {
        switch ($side) {
            case 'acp':
                $path = V_ACP_TPL;
                break;

            case 'frontend':
                $path = V_FRONTEND_TPL;
                break;

            default:
                $path = V_ACP_TPL;
        }

        $this->side = $side;

        $this->template_dir = $path . $template;
        $this->compile_dir = V_COMPILE_DIR . $side;
        $this->cache_dir = V_CACHE_DIR;
        $this->config_dir = V_CONGIGS;
    }

    /**
     * Display tpl file
     *
     * @param string $file Template file
     * @param string $addon Addon
     * @param string $application Application
     */
    function display($file, $addon = '', $application = '') {
        if (!empty($application)) {
            $fullpath = V_APPLICATIONS . $application . V_DS . $this->side . V_DS . 'tpl' . V_DS . $file;
        } else {
            $fullpath = !empty($addon) ? V_ADDONS . $addon . V_DS . $this->side . V_DS . 'tpl' . V_DS . $file : $this->template_dir . V_DS . $file;
        }

        parent::display($fullpath);
    }

}

?>