{literal}
Vesthelm.acp = function(){
    var vUrl = 'index.php?file=acp';

    var vSStore = new Ext.data.Store({
        proxy: new Ext.data.HttpProxy({
            url: vUrl,
            method: 'GET'
        }),
        reader: new Ext.data.JsonReader({
            root: 'data'
        },[
        {
            name: 'title'
        },

        {
            name: 'total'
        }
        ]),
        baseParams: {
            action: 'getStatistics'
        }
    });
    vSStore.load();

    var vSColumnModel = new Ext.grid.ColumnModel({
        defaults: {
            sortable: true
        },
        columns: [new Ext.grid.RowNumberer(),
        {
            header: vlanguage.title,
            dataIndex: 'title',
            width: 100
        },{
            header: vlanguage.total,
            dataIndex: 'total',
            width: 10
        }
        ]
    });

    var vSGrid = new Ext.grid.GridPanel({
        store: vSStore,
        cm: vSColumnModel,
        viewConfig: {
            forceFit: true
        },
        border: false,
        loadMask: true,
        height: 250
    });

    var vPortal = new Ext.ux.Portal({
        border: false,
        baseCls: 'background',
        items:[{
            columnWidth:.49,
            style: 'padding: 10px 0 10px 10px',
            items:[{
                title: vlanguage.statistics,
                layout: 'fit',
                items: vSGrid
            }]
        },{
            columnWidth:.49,
            style:'padding: 10px 0 10px 10px',
            items:[]
        }]
            
    });

    return {
        getPortal: function(){
            return vPortal;
        }
    }
}

Ext.onReady(function(){

    var acp = new Vesthelm.acp();
    var portal = acp.getPortal();
    var ctab = Ext.getCmp('acp-vcentertab');

    ctab.removeAll();

    ctab.add(portal);
    ctab.doLayout();
    
});

{/literal}