Ext.BLANK_IMAGE_URL = '../libs/ext/resources/images/default/s.gif';
Ext.ns('Vesthelm');

Ext.state.Manager.setProvider(new Ext.state.CookieProvider());

Ext.Ajax.defaultHeaders = {
    'X-VesthelmExtJS': 'VExtJS'
};
//Ext.Ajax.disableCaching = false;

Ext.Ajax.on('requestcomplete', function(conn, response, options)
{
    if(!Ext.isEmpty(document.body)){
        Ext.get(document.body).unmask();
    }

    var message = Ext.util.Format.trim(response.responseText);
    var pos = message.indexOf('<div id="message">');

    if('-1' != pos){
        if(Ext.isEmpty(Ext.get('message-box'))){
            var messageBox = Ext.DomHelper.insertFirst(document.body, {
                id: 'message-box'
            }, true);
            messageBox.alignTo(document, 't-t');
        }

        var tempMbox = Ext.DomHelper.overwrite('message-box', message, true);
        tempMbox.slideIn('t').pause(5).ghost('t', {
            remove: true
        });
    }
});

Ext.Ajax.on('beforerequest', function(conn, options)
{
    if(!Ext.isEmpty(document.body)){
        Ext.get(document.body).mask(vlanguage.loading + ' ' + vconfig.acp_url + options.url);
    }
});

Ext.Ajax.on('requestexception', function(conn, response, options)
{
    if(!Ext.isEmpty(document.body)){
        Ext.get(document.body).unmask();
    }
});

//used when vlanguage.phrase_name is not exists then return just phrase_name to prevent extjs damaging
Vesthelm.lang = function(phrase_name){
    var phrase = !Ext.isEmpty(vlanguage[phrase_name]) ? vlanguage[phrase_name] : phrase_name;

    return phrase;
}

Vesthelm.token = function(name, num){ //name must be same as div id
    return Ext.query("input[name='" + name + "_" + num + "']", name)[0].value;
}
/*
Ext.onReady(function(){
    Ext.QuickTips.init();
});*/