<?php

/**
 * @package Vesthelm Engine
 * @version 1.0.0
 * @copyright Copyright(c) 2010-2011, Anton Kurbanov
 * @license Open Source. For more details, please visit: http://www.vesthelm.com/license.html
 * @info Package generated specially for http://test.ir!
 */
defined('V_IN_ACP') or die('Powered by <a href="http://www.vesthelm.com/">Vesthelm EE</a>');

if (isset($_GET['action'])) {

    if ('getLinks' == $_GET['action']) {
        $Vesthelm->includeClass('Json', true);
        $Json = new Services_JSON();

        $parent_id = $_GET['node'];
        $ngroups = array();

        if ($parent_id == 0) {
            $groups = $Vesthelm->all('links', '`group_name`', "`group_name` <> '' GROUP BY `group_name` ORDER BY `order`");

            if ($groups) {
                foreach ($groups as $key => $group) {
                    $ngroups[$key]['text'] = vlang($group['group_name']);
                    $ngroups[$key]['cls'] = 'vtree';
                    $ngroups[$key]['iconCls'] = $group['group_name'] . '-group';
                    $ngroups[$key]['expanded'] = true;
                    $ngroups[$key]['children'] = getLinks($parent_id, $group['group_name']);
                }
            }
        } else {
            $ngroups = getLinks($parent_id);
        }

        echo '(' . $Json->encode($ngroups) . ')';
        exit;
    }
}

function getLinks($parent_id = 0, $group = '') {
    global $Vesthelm, $vlang;

    $group = !empty($group) ? " AND `group_name` = '" . $group . "'" : '';

    if (!empty($Vesthelm->vInactiveAddons)) {
        $anames = array();

        foreach ($Vesthelm->vInactiveAddons as $k => $addon) {
            $anames[] = "'" . $k . "'";
        }

        $addons = implode(",", $anames);
    }

    $addon = isset($addons) ? "`addon` NOT IN(" . $addons . ") AND " : '';

    $links = $Vesthelm->all('links', '*', $addon . "`parent_id` = '" . $parent_id . "' AND `title` <> ''" . $group);

    $all_links = array();

    foreach ($links as $k => $link) {
        $actionId = !empty($link['action']) ? '-' . $link['action'] : '';
        $iconCls = !empty($link['action']) ? (!empty($link['application']) ? $link['application'] . '-' . $link['file'] . $actionId : $link['file'] . actionId) : (!empty($link['application']) ? $link['application'] . '-' . $link['file'] : $link['file']);

        $all_links[$k]['id'] = $link['id'];
        $all_links[$k]['text'] = vlang($link['title']);
        $all_links[$k]['title'] = $link['title'];
        $all_links[$k]['iconCls'] = $iconCls;
        $all_links[$k]['file'] = $link['file'];
        $all_links[$k]['action'] = $link['action'];
        $all_links[$k]['params'] = $link['params'];
        $all_links[$k]['addon'] = $link['addon'];
        $all_links[$k]['application'] = $link['application'];
        //$all_links[$k]['expanded'] = true;
        $all_links[$k]['leaf'] = ($Vesthelm->exists('links', "`parent_id` = '" . $link['id'] . "'") > 0) ? false : true;
    }

    return $all_links;
}

?>