{literal}
Ext.BLANK_IMAGE_URL = 'libs/ext/resources/images/default/s.gif';
Ext.ns('Vesthelm');

Ext.Ajax.defaultHeaders = {
    'X-VesthelmExtJS': 'VExtJS'
};

Ext.Ajax.on('requestcomplete', function(conn, response, options)
{
    var message = Ext.util.Format.trim(response.responseText);
    var pos = message.indexOf('<div id="message">');

    if('-1' != pos){
        if(Ext.isEmpty(Ext.get('message-box'))){
            var messageBox = Ext.DomHelper.insertFirst(document.body, {
                id: 'message-box'
            }, true);
            messageBox.alignTo(document, 't-t');
        }

        var tempMbox = Ext.DomHelper.overwrite('message-box', message, true);
        tempMbox.slideIn('t').pause(5).ghost('t', {
            remove: true
        });
    }
});

Vesthelm.createCaptcha = function(config)
{
    config = config || {};
    
    var captcha;
    
    {/literal}{callHook name="createCaptcha" js="true"}{literal}

    if('disabled' == vconfig.captcha || Ext.isEmpty(captcha)){
        captcha = {
            xtype: 'hidden'
        };
    }

    return captcha;
}

Vesthelm.reloadCaptcha = function()
{
    {/literal}{callHook name="reloadCaptcha" js="true"}{literal}

    return true;
}

Vesthelm.token = function(name, num){ //name must be same as div id
    return Ext.query("input[name='" + name + "_" + num + "']", name)[0].value;
}

Vesthelm.getAction = function(name){ //name must be same as div id
    return Ext.query("input[name='" + name + "']", name)[0].value;
}

Vesthelm.getId = function(name){ //name must be same as div id
    return Ext.query("input[name='" + name + "']", name)[0].value;
}

Vesthelm.getUrlParam = function(param) {
    var params = Ext.urlDecode(location.search.substring(1));
    return param ? params[param] : params;
}

Vesthelm.generateBreadcrumb = function(obj) {
    var html = '<a href="' + vconfig.frontend_url + '">' + Ext.util.Format.htmlEncode(vconfig.site_title)  + '<\/a>';

    Ext.iterate(obj, function(key, value){
        var url = (1 == vconfig.mod_rewrite) ? value.mod_rewrite_url : value.url;

        html += '&nbsp;/&nbsp;<a href="' + value.url + '">' + Ext.util.Format.htmlEncode(value.caption)  + '<\/a>';
    });

    return html;
}

Vesthelm.updateBreadcrumb = function(obj) {
    var result = false;
    var html = '<a href="' + vconfig.frontend_url + '">' + Ext.util.Format.htmlEncode(vconfig.site_title)  + '<\/a>';

    Ext.iterate(obj, function(key, value){
        var url = (1 == vconfig.mod_rewrite) ? value.mod_rewrite_url : value.url;

        html += '&nbsp;/&nbsp;<a href="' + url + '">' + Ext.util.Format.htmlEncode(value.caption)  + '<\/a>';
    });

    if(!Ext.isEmpty(Ext.get('breadcrumb'))){
        Ext.get('breadcrumb').update(html);
        result = true;
    }

    return result;
}

Ext.onReady(function(){
    Ext.QuickTips.init();
});
{/literal}