Vesthelm.util = function(){
    var messageBox;

    return {
        msg: function(messages, type){
	
            var type = type || 'info'; //info, success, warning, error
            var html = '';

            if(!messageBox){
                messageBox = Ext.DomHelper.insertFirst(document.body, {
                    id: 'message-box'
                }, true);
            }
            messageBox.alignTo(document, 't-t');

            html += '<ul>';

            if(Ext.isArray(messages))
            {
                for(var i = 0; i < messages.length; i++)
                {
                    if('' != messages[i])
                    {
                        html += '<li>' + messages[i] + '</li>';
                    }
                }
            }
            else
            {
                html += '<li>'+ messages+'</li>';
            }

            html += '</ul>';

            html = '<div class="' + type + '">' + html + '</div>';

            var tempMbox = Ext.DomHelper.overwrite(messageBox, html, true);
            tempMbox.slideIn('t').pause(5).ghost('t', {
                remove: true
            });
        },
        inArray: function(value, array, key){
            if(array)
            {
                for(var i = 0; i < array.length; i++)
                {
                    if(value == array[i])
                    {
                        if(key)
                            return i;

                        return true;
                    }
                }
            }

            return false;
        },
        getNumEl: function(arr){
            var num = 0;
            for(var i in arr)
            {
                num++;
            }
            return num;
        },
        getLanguageStoreData: function()
        {
            var data = new Array();
            var key = 0;

            for(var i in vconfig.languages)
            {
                var tmp = new Array();

                tmp[0] = i;
                tmp[1] = vconfig.languages[i];

                data[key] = tmp;
                key++;
            }

            return data;
        }
    };
}();