<?php

/**
 * @package Vesthelm Engine
 * @version 1.0.0
 * @copyright Copyright(c) 2010-2011, Anton Kurbanov
 * @license Open Source. For more details, please visit: http://www.vesthelm.com/license.html
 * @info Package generated specially for http://test.ir!
 */
defined('V_IN_INSTALLATION') or die('Powered by <a href="http://www.vesthelm.com/">Vesthelm EE</a>');

$result = false;

if (isset($_POST['action'])) {
    require_once(V_ACP_CLASSES . 'Json.php');
    $Json = new Services_JSON();

    require_once(V_ACP_CLASSES . 'Writer.php');
    $Writer = new Writer();

    if ('checkMysqlConfiguration' == $_POST['action']) {
        $json_data = array();

        $link = @mysql_connect($_POST['host_name'] . ":3306", $_POST['username'], $_POST['password']);

        if (!$link) {
            $json_data['errors']["host_name"] = 'Could not connect to MySQL: ' . mysql_error() . '<br />';
        } else {
            if (!mysql_select_db($_POST['database_name'], $link)) {
                $json_data['errors']["database_name"] = 'Could not select database ' . $_POST['database_name'] . ': ' . mysql_error();
            }

            $tables = array();

            $result = mysql_query('SHOW TABLES', $link);

            if (@mysql_num_rows($result) > 0) {
                while ($t = mysql_fetch_row($result)) {
                    if (substr($t[0], 0, strlen($_POST['table_prefix'])) == $_POST['table_prefix']) {
                        $tables[] = $t[0];
                    }
                }
            }

            if (!$_POST['delete_tables'] && !empty($tables)) {
                $json_data['errors']["table_prefix"] = 'Tables with prefix "' . $_POST['table_prefix'] . '" already exists';
            }
        }

        if (!isset($json_data['errors'])) {
            $Writer->filePath = V_INSTALLATION . 'sql' . V_DS;
            $plain_sqls = $Writer->getContents('data.sql');

            if ($plain_sqls) {
                if ($_POST['delete_tables'] && !empty($tables)) {
                    $sql = "DROP TABLE IF EXISTS `" . implode("`,`", $tables) . "`";

                    mysql_query($sql, $link);
                }

                $sqls = $plain_sqls;

                $sreplace = array();
                $sreplace['table_prefix'] = $_POST['table_prefix'];
                $sreplace['frontend_url'] = V_URL;
                $sreplace['acp_url'] = V_ACP_URL;

                foreach ($sreplace as $key => $value) {
                    $sqls = str_replace("{vinstallation_" . $key . "}", $value, $sqls);
                }

                $prev = 0;

                while ($next = strpos($sqls, "#vend_sql", $prev + 9)) {
                    $start = (0 == $prev) ? 0 : $prev + 9;
                    $end = (0 == $prev) ? ($next - $prev) : ($next - $prev) - 9;

                    $sql = substr($sqls, $start, $end);
                    $sql = trim($sql);

                    $result = mysql_query($sql, $link);

                    if (!$result) {
                        $json_data['errors']["host_name"] .= mysql_errno() . " " . mysql_error();
                    }

                    $prev = $next;
                }
            } else {
                $json_data['errors']["host_name"] = 'data.sql file corrupted';
            }

            if (!isset($json_data['errors'])) {
                $Writer->filePath = V_CFGS;
                $plain_config = $Writer->getContents('config.inc.plain');

                if (!empty($plain_config)) {
                    $replace = array();
                    $replace['main'] = V_PATH;
                    $replace['frontend_url'] = V_URL;
                    $replace['acp_url'] = V_ACP_URL;
                    $replace['salt'] = Utils::newToken();

                    $replace['db_host'] = $_POST['host_name'];
                    $replace['db_name'] = $_POST['database_name'];
                    $replace['db_user'] = $_POST['username'];
                    $replace['db_password'] = $_POST['password'];
                    $replace['prefix'] = $_POST['table_prefix'];

                    $config = $plain_config;

                    foreach ($replace as $key => $value) {
                        $config = str_replace("{v" . $key . "}", $value, $config);
                    }

                    $Writer->filePath = V_MAIN . 'cfgs' . V_DS;
                    $Writer->writeToFile('config.inc.php', $config);
                } else {
                    $json_data['errors']["host_name"] = 'config.inc.plain file corrupted';
                }
            }
        }

        if (isset($json_data['errors'])) {
            $json_data['success'] = false;
        } else {
            $json_data['success'] = true;
        }

        echo '(' . $Json->encode($json_data) . ')';
        exit;
    }
}

require_once(V_STEPS . 'smarty.php');

$Smarty->display('step2.tpl');
?>